//
//  SCSListChartsController.swift
//  SciChartSwiftDemo
//
//  Created by Mykola Hrybeniuk on 6/1/16.
//  Copyright © 2016 SciChart Ltd. All rights reserved.
//

import UIKit
import SciChart

class SCSListChartsController: UITableViewController {
    
    let cellId = "CellId"
    let listChartsName = ["SCSLineChartView", "SCSDigitalLineChartView", "SCSUsingRolloverModifierChartView","SCSColumnChartView", "SCSMountainChartView", "SCSCandlestickChartView", "SCSScatterSeriesChartView", "SCSHeatmapChartView", "SCSBubbleChartView", "SCSBandChartView", "SCSStackedMountainChartView", "SCSECGChartView", "SCSAnnotationsChartView", "SCSMultipleAxesChartView", "SCSMultipleSurfaceChartView", "SCSLinePerformanceChartView", "SCSAppendSpeedTestSciChart", "SCSFIFOSpeedTestSciChart", "SCSNxMSeriesSpeedTestSciChart", "SCSScatterSpeedTestSciChart", "SCSSeriesAppendingTestSciChart", "SCSRealtimeTickingStockChartView", "SCSMultiPaneStockChartView", "SCSPalettedChartView", "SCSLegendChartView", "SCSUsingTooltipModifierChartView", "SCSUsingCursorModifierChartView", "SCSRolloverCustomizationChartView", "SCSCursorCustomizationChartView", "SCSTooltipCustomizationChartView", "SCSImpulseChartView", "SCSCustomModifierView", "SCSErrorBarsChartView", "SCSFanChartView", "SCSColumnDrillDownView"];
    
    override func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return listChartsName.count
    }
    
    override func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCellWithIdentifier("CellId")
        cell?.textLabel?.text = String(listChartsName[indexPath.row])
        return cell!
    }
    
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        if segue.identifier == "ShowChartSegueId" {
         
            if let chartController = segue.destinationViewController as? SCSChartViewController, let cell = sender as? UITableViewCell {
                let indexPath = tableView.indexPathForCell(cell)!
                let className = "SciChartSwiftDemo."+listChartsName[indexPath.row];
                let chartViewClass = NSClassFromString(className) as! UIView.Type
                chartController.setupView(chartViewClass)
                chartController.title = listChartsName[indexPath.row]
                
            }
        }
    }
    
    
}
